---
updatedAt: 2026-05-28T18:56:44.000Z
---

Fetch the complete documentation index at: https://developer.tenable.com/llms.txt. Use this file to discover all available pages before exploring further.

# Get scan details

Returns scan results for a specific scan. If you submit a request without query parameters, Tenable Vulnerability Management returns results from the latest run of the specified scan. If you submit a request using the query parameters to specify a historical run of the scan, Tenable Vulnerability Management returns the scan results for the specified run. 

**Note:** Keep in mind potential [rate limits](doc:rate-limiting) and [concurrency limits](doc:concurrency-limiting) when using this endpoint. To check the status of a scan, use the [Get latest scan status](ref:scans-get-latest-status) endpoint. Tenable recommends the [Get latest scan status](ref:scans-get-latest-status) endpoint especially if you are programmatically checking the status of large numbers of scans. 

**Note:** This endpoint returns limited data if scan results are older than 35 days. Scans that are older than 35 days are effectively "archived". The `info.is_archived` attribute in the response message for this endpoint serves as the indication of archival status. For complete data from archived scan results, use the [Export scan](ref:scans-export-request) endpoint instead. 

**Note:** Scans generated by Continuous Assessment (`AGENT_RUNTIME`) cannot be queried using this endpoint. Continuous Assessment scans are automatically triggered by the system to monitor installed software versions and do not have traditional scan configurations. Vulnerability export records with `source` set to `AGENT_RUNTIME` include a `scan.schedule_uuid`, but this UUID cannot be resolved via this endpoint or the [List scans](ref:scans-list) endpoint. For more information about Continuous Assessment, see [Continuous Assessment Scanning](https://docs.tenable.com/vulnerability-management/Content/Settings/Sensors/ContinuousAssessmentScanning.htm) in the Tenable Vulnerability Management User Guide. <div class="perms-callout">Requires the Scan Operator [24] user role and the Can View [16] scan permission. Alternatively, requires the `VM.VM_SCAN.VM_SCAN.READ` custom role privilege . See [Roles](doc:roles) and [Permissions](doc:permissions).</div>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Vulnerability Management",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://cloud.tenable.com"
    }
  ],
  "tags": [
    {
      "name": "Scans",
      "x-displayName": "Scans"
    }
  ],
  "paths": {
    "/scans/{scan_id}": {
      "get": {
        "summary": "Get scan details",
        "description": "Returns scan results for a specific scan. If you submit a request without query parameters, Tenable Vulnerability Management returns results from the latest run of the specified scan. If you submit a request using the query parameters to specify a historical run of the scan, Tenable Vulnerability Management returns the scan results for the specified run. \n\n**Note:** Keep in mind potential [rate limits](https://developer.tenable.com/docs/rate-limiting) and [concurrency limits](https://developer.tenable.com/docs/concurrency-limiting) when using this endpoint. To check the status of a scan, use the [Get latest scan status](https://developer.tenable.com/reference/scans-get-latest-status) endpoint. Tenable recommends the [Get latest scan status](https://developer.tenable.com/reference/scans-get-latest-status) endpoint especially if you are programmatically checking the status of large numbers of scans. \n\n**Note:** This endpoint returns limited data if scan results are older than 35 days. Scans that are older than 35 days are effectively \"archived\". The `info.is_archived` attribute in the response message for this endpoint serves as the indication of archival status. For complete data from archived scan results, use the [Export scan](https://developer.tenable.com/reference/scans-export-request) endpoint instead. \n\n**Note:** Scans generated by Continuous Assessment (`AGENT_RUNTIME`) cannot be queried using this endpoint. Continuous Assessment scans are automatically triggered by the system to monitor installed software versions and do not have traditional scan configurations. Vulnerability export records with `source` set to `AGENT_RUNTIME` include a `scan.schedule_uuid`, but this UUID cannot be resolved via this endpoint or the [List scans](https://developer.tenable.com/reference/scans-list) endpoint. For more information about Continuous Assessment, see [Continuous Assessment Scanning](https://docs.tenable.com/vulnerability-management/Content/Settings/Sensors/ContinuousAssessmentScanning.htm) in the Tenable Vulnerability Management User Guide. <div class=\"perms-callout\">Requires the Scan Operator [24] user role and the Can View [16] scan permission. Alternatively, requires the `VM.VM_SCAN.VM_SCAN.READ` custom role privilege . See [Roles](https://developer.tenable.com/docs/roles) and [Permissions](https://developer.tenable.com/docs/permissions).</div>",
        "operationId": "scans-details",
        "tags": [
          "Scans"
        ],
        "parameters": [
          {
            "description": "The unique identifier for the scan. You can use either the `schedule_uuid` (string) or the `id` (integer) retrieved from the [List Scans](https://developer.tenable.com/reference/scans-list) endpoint.\n\n**Note:** Tenable recommends using the `schedule_uuid` for consistency across scan instances.",
            "required": true,
            "name": "scan_id",
            "in": "path",
            "schema": {
              "oneOf": [
                {
                  "title": "String Value for UUID",
                  "type": "string"
                },
                {
                  "title": "Integer Value for ID",
                  "type": "integer"
                }
              ]
            }
          },
          {
            "description": "The unique identifier of the specific scan historical instance you want to retrieve. This value enables you to access data from a previous execution of the scan and corresponds to the `id` attribute from the [Get scan history](https://developer.tenable.com/reference/scans-history) endpoint.",
            "name": "history_id",
            "in": "query",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned if the details for the specified scan were retrieved successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "info": {
                      "$ref": "#/components/schemas/scans_scan-info-response-object"
                    },
                    "comphosts": {
                      "type": "array",
                      "description": "A list of the hosts that had compliance checks run against them. If the scan results are older than 35 days (that is, if the `info.archived` attribute for the scan is `true`), this array does not appear in the response message.",
                      "items": {
                        "$ref": "#/components/schemas/scans_host"
                      }
                    },
                    "hosts": {
                      "type": "array",
                      "description": "A list of the hosts targeted by the scan for the specified run. This lists includes both hosts assessed for vulnerabilities and compliance checks. If the scan results are older than 35 days (that is, if the `info.archived` attribute for the scan is `true`), this array does not appear in the response message.",
                      "items": {
                        "$ref": "#/components/schemas/scans_host"
                      }
                    },
                    "notes": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/scans_note"
                      }
                    },
                    "remediations": {
                      "type": "object"
                    },
                    "vulnerabilities": {
                      "type": "array",
                      "description": "A list of vulnerabilities that the scan identified on the target hosts. If the scan results are older than 35 days (that is, if the `info.archived` attribute for the scan is `true`), this array does not appear in the response message.",
                      "items": {
                        "$ref": "#/components/schemas/scans_vulnerability"
                      }
                    },
                    "filters": {
                      "type": "array",
                      "description": "A list of filters. If the scan results are older than 35 days (that is, if the `info.archived` attribute for the scan is `true`), this array does not appear in the response message.",
                      "items": {
                        "$ref": "#/components/schemas/scans_filter"
                      }
                    },
                    "history": {
                      "type": "array",
                      "description": "A list of details about each time the scan has run.",
                      "items": {
                        "$ref": "#/components/schemas/scans_history-in-scan-details-response"
                      }
                    },
                    "compliance": {
                      "type": "array",
                      "description": "A list of compliance checks performed during the run of the scan. If the scan results are older than 35 days (that is, if the `info.archived` attribute for the scan is `true`), this array does not appear in the response message.",
                      "items": {
                        "$ref": "#/components/schemas/scans_vulnerability"
                      }
                    },
                    "progress": {
                      "type": "integer",
                      "description": "The progress of the scan ranging from 0 to 100."
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "info": {
                        "owner": "user2@example.com",
                        "name": "KitchenSinkScan",
                        "no_target": false,
                        "folder_id": 9,
                        "control": false,
                        "user_permissions": 128,
                        "schedule_uuid": "b0eeabbe-a612-429a-a60e-0f68eafb8c36f60557ee0e264228",
                        "edit_allowed": false,
                        "scanner_name": null,
                        "policy": null,
                        "shared": false,
                        "object_id": 11,
                        "tag_targets": [
                          "1cf4f3a3-9878-44ce-9fa7-3a969c602e28",
                          "9808942a-2053-43a7-8580-7caebdfb959f"
                        ],
                        "acls": [
                          {
                            "permissions": 0,
                            "owner": null,
                            "display_name": null,
                            "name": null,
                            "id": null,
                            "type": "default"
                          },
                          {
                            "permissions": 128,
                            "owner": 1,
                            "display_name": "user2@example.com",
                            "name": "user2@example.com",
                            "id": 2,
                            "type": "user"
                          }
                        ],
                        "hostcount": 10,
                        "uuid": "fd7d0d8e-c0e1-4439-97a5-d5c3a5c2d369ab8f7ecb158c480e",
                        "status": "imported",
                        "scan_type": null,
                        "targets": null,
                        "alt_targets_used": null,
                        "pci-can-upload": null,
                        "scan_start": 1430933086,
                        "timestamp": 1430934526,
                        "is_archived": false,
                        "scan_end": 1430934526,
                        "haskb": true,
                        "hasaudittrail": true,
                        "scanner_start": null,
                        "scanner_end": null
                      },
                      "history": [
                        {
                          "history_id": 10328682,
                          "owner_id": 2,
                          "creation_date": 1430933086,
                          "last_modification_date": 1430934526,
                          "uuid": "fd7d0d8e-c0e1-4439-97a5-d5c3a5c2d369ab8f7ecb158c480e",
                          "type": null,
                          "status": "imported",
                          "scheduler": 0,
                          "alt_targets_used": false,
                          "is_archived": false
                        }
                      ],
                      "hosts": [
                        {
                          "asset_id": 5,
                          "host_id": 5,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 156,
                                "severitylevel": 0
                              },
                              {
                                "count": 1,
                                "severitylevel": 1
                              },
                              {
                                "count": 6,
                                "severitylevel": 2
                              },
                              {
                                "count": 3,
                                "severitylevel": 3
                              },
                              {
                                "count": 0,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "severity": 166,
                          "score": 3766,
                          "info": 156,
                          "low": 1,
                          "medium": 6,
                          "high": 3,
                          "critical": 0,
                          "host_index": 0
                        },
                        {
                          "asset_id": 3,
                          "host_id": 3,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 52,
                                "severitylevel": 0
                              },
                              {
                                "count": 11,
                                "severitylevel": 1
                              },
                              {
                                "count": 100,
                                "severitylevel": 2
                              },
                              {
                                "count": 58,
                                "severitylevel": 3
                              },
                              {
                                "count": 32,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "severity": 253,
                          "score": 388162,
                          "info": 52,
                          "low": 11,
                          "medium": 100,
                          "high": 58,
                          "critical": 32,
                          "host_index": 1
                        },
                        {
                          "asset_id": 9,
                          "host_id": 9,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 115,
                                "severitylevel": 0
                              },
                              {
                                "count": 5,
                                "severitylevel": 1
                              },
                              {
                                "count": 21,
                                "severitylevel": 2
                              },
                              {
                                "count": 45,
                                "severitylevel": 3
                              },
                              {
                                "count": 16,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "severity": 202,
                          "score": 207265,
                          "info": 115,
                          "low": 5,
                          "medium": 21,
                          "high": 45,
                          "critical": 16,
                          "host_index": 2
                        }
                      ],
                      "vulnerabilities": [
                        {
                          "count": 68,
                          "plugin_id": 34220,
                          "plugin_name": "Netstat Portscanner (WMI)",
                          "severity": 0,
                          "plugin_family": "Port scanners",
                          "vuln_index": 1
                        },
                        {
                          "count": 65,
                          "plugin_id": 34252,
                          "plugin_name": "Microsoft Windows Remote Listeners Enumeration (WMI)",
                          "severity": 0,
                          "plugin_family": "Windows",
                          "vuln_index": 2
                        },
                        {
                          "count": 41,
                          "plugin_id": 14272,
                          "plugin_name": "netstat portscanner (SSH)",
                          "severity": 0,
                          "plugin_family": "Port scanners",
                          "vuln_index": 3
                        }
                      ],
                      "comphosts": [
                        {
                          "asset_id": 5,
                          "host_id": 5,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 0,
                                "severitylevel": 0
                              },
                              {
                                "count": 145,
                                "severitylevel": 1
                              },
                              {
                                "count": 62,
                                "severitylevel": 2
                              },
                              {
                                "count": 0,
                                "severitylevel": 3
                              },
                              {
                                "count": 86,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "score": 867650,
                          "info": 0,
                          "low": 145,
                          "medium": 62,
                          "high": 0,
                          "critical": 86,
                          "host_index": 0,
                          "severity": 293
                        },
                        {
                          "asset_id": 3,
                          "host_id": 3,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 0,
                                "severitylevel": 0
                              },
                              {
                                "count": 52,
                                "severitylevel": 1
                              },
                              {
                                "count": 1,
                                "severitylevel": 2
                              },
                              {
                                "count": 0,
                                "severitylevel": 3
                              },
                              {
                                "count": 45,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "score": 450620,
                          "info": 0,
                          "low": 52,
                          "medium": 1,
                          "high": 0,
                          "critical": 45,
                          "host_index": 1,
                          "severity": 98
                        },
                        {
                          "asset_id": 9,
                          "host_id": 9,
                          "hostname": "192.0.2.57",
                          "progress": "100-100/200-200",
                          "scanprogresscurrent": 100,
                          "scanprogresstotal": 100,
                          "numchecksconsidered": 100,
                          "totalchecksconsidered": 100,
                          "severitycount": {
                            "item": [
                              {
                                "count": 0,
                                "severitylevel": 0
                              },
                              {
                                "count": 61,
                                "severitylevel": 1
                              },
                              {
                                "count": 23,
                                "severitylevel": 2
                              },
                              {
                                "count": 0,
                                "severitylevel": 3
                              },
                              {
                                "count": 64,
                                "severitylevel": 4
                              }
                            ]
                          },
                          "score": 642910,
                          "info": 0,
                          "low": 61,
                          "medium": 23,
                          "high": 0,
                          "critical": 64,
                          "host_index": 2,
                          "severity": 148
                        }
                      ],
                      "compliance": [
                        {
                          "count": 5,
                          "host_id": 0,
                          "hostname": null,
                          "plugin_family": "Unix Compliance Checks",
                          "plugin_id": "143e17d31e1a30830fcc2c3539d803d0",
                          "plugin_name": "BSI-100-2: S 4.13: /etc/group consistency - Careful allocation of identifiers",
                          "severity": 1,
                          "severity_index": 0
                        },
                        {
                          "count": 5,
                          "host_id": 0,
                          "hostname": null,
                          "plugin_family": "Unix Compliance Checks",
                          "plugin_id": "21361aed1df4e64051bc939431ca3096",
                          "plugin_name": "BSI-100-2: S 4.105: No world writeable files - Preventing unauthorised acquisition of administrator rights",
                          "severity": 3,
                          "severity_index": 1
                        },
                        {
                          "count": 5,
                          "host_id": 0,
                          "hostname": null,
                          "plugin_family": "Unix Compliance Checks",
                          "plugin_id": "5784176f032f448cb73b6cd4d4cff8be",
                          "plugin_name": "BSI-100-2: S 4.105: Rlogind must be deactivated",
                          "severity": 3,
                          "severity_index": 2
                        }
                      ],
                      "filters": [
                        {
                          "name": "host.id",
                          "readable_name": "Asset ID",
                          "control": {
                            "type": "entry",
                            "regex": "[0-9a-f]{8}-([0-9a-f]{4}-){3}[0-9a-f]{12}(,[0-9a-f]{8}-([0-9a-f]{4}-){3}[0-9a-f]{12})*",
                            "readable_regex": "c15c917b-e722-4cbf-a666-9ea11c3a6def"
                          },
                          "operators": [
                            "eq",
                            "neq",
                            "match",
                            "nmatch"
                          ],
                          "group_name": "vulnerability"
                        },
                        {
                          "name": "plugin.attributes.bid",
                          "readable_name": "Bugtraq ID",
                          "control": {
                            "type": "entry",
                            "regex": "^[0-9]+(,[0-9]+)*",
                            "readable_regex": "NUMBER",
                            "maxlength": 18
                          },
                          "operators": [
                            "eq",
                            "neq",
                            "match",
                            "nmatch"
                          ],
                          "group_name": "vulnerability"
                        },
                        {
                          "name": "plugin.attributes.exploit_framework_canvas",
                          "readable_name": "CANVAS Exploit Framework",
                          "control": {
                            "type": "dropdown",
                            "list": [
                              "true",
                              "false"
                            ]
                          },
                          "operators": [
                            "eq",
                            "neq"
                          ],
                          "group_name": "vulnerability"
                        }
                      ],
                      "notes": [
                        {
                          "message": "One or more AirWatch API settings are not set",
                          "title": "MDM501 AirWatch API settings misconfiguration"
                        },
                        {
                          "message": "Unable to connect to the ActiveSync server.",
                          "title": "MDM501 ActiveSync connection error"
                        },
                        {
                          "message": "ADSI server (example.com) could not connect to server.",
                          "title": "adsi_enum_directory_trusts.nbin: ADSI error"
                        }
                      ],
                      "remediations": {
                        "num_cves": 2536,
                        "num_hosts": 10,
                        "num_remediated_cves": 2283,
                        "num_impacted_hosts": 8,
                        "remediations": [
                          {
                            "vulns": 1,
                            "value": "96a449d372af3d23ca9a4f9f9a2ea73e",
                            "hosts": 1,
                            "remediation": "FreeBSD : gpgme -- heap-based buffer overflow in gpgsm status handler (f166dd0b-6845-4830-a9fe-d9af0467fc30): Update the affected package."
                          },
                          {
                            "vulns": 296,
                            "value": "319a8ba9e264c876028b2a5abf5a1b0e",
                            "hosts": 1,
                            "remediation": "FreeBSD : mozilla -- multiple vulnerabilities (8e3ca454-2405-4dc0-abed-2bc43690fbf8): Update the affected packages."
                          },
                          {
                            "vulns": 0,
                            "value": "c22105fdc2756d11c39d1380e58c8fbc",
                            "hosts": 1,
                            "remediation": "RHEL 6 / 7 : postgresql (RHSA-2015:0750): Update the affected packages."
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Returned if the API keys specified in your request are invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scans_ErrorResponse"
                },
                "examples": {
                  "response": {
                    "value": {
                      "statusCode": 401,
                      "error": "Unauthorized",
                      "message": "Invalid credentials."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Returned if Tenable Vulnerability Management could not find the specified scan configuration.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "description": "Error message",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "A brief description of the cause of the error."
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "info": {
                        "error": "Scan not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Returned if you attempt to send too many requests in a specific period of time. For more information, see [Rate Limiting](https://developer.tenable.com/docs/rate-limiting).",
            "content": {
              "text/html": {
                "examples": {
                  "response": {
                    "value": "<html>\n\n<head>\n    <title>429 Too Many Requests</title>\n</head>\n\n<body bgcolor=\"white\">\n    <center>\n        <h1>429 Too Many Requests</h1>\n    </center>\n    <hr>\n    <center>nginx</center>\n</body>\n\n</html>"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned if an internal error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scans_ErrorResponse"
                },
                "examples": {
                  "response": {
                    "value": {
                      "statusCode": 500,
                      "error": "Internal Server Error",
                      "message": "An internal server error occurred. Please wait a moment and try your request again."
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "scans_cloud": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "scans_cloud": {
        "type": "apiKey",
        "in": "header",
        "name": "X-ApiKeys",
        "description": "Format - accessKey=ACCESS_KEY;secretKey=SECRET_KEY"
      }
    },
    "schemas": {
      "scans_scan-info-response-object": {
        "type": "object",
        "properties": {
          "owner": {
            "type": "string",
            "description": "The owner of the scan."
          },
          "name": {
            "type": "string",
            "description": "The name of the scan."
          },
          "no_target": {
            "type": "boolean",
            "description": "Indicates whether the scan based on this policy can specify targets."
          },
          "folder_id": {
            "type": "integer",
            "description": "The unique ID of the destination folder for the scan.",
            "format": "int32"
          },
          "control": {
            "type": "boolean",
            "description": "If `true`, the scan has a schedule and can be launched."
          },
          "user_permissions": {
            "type": "integer",
            "description": "The sharing permissions for the scan.",
            "format": "int32"
          },
          "schedule_uuid": {
            "type": "string",
            "description": "The UUID for a specific instance in the scan schedule."
          },
          "edit_allowed": {
            "type": "boolean",
            "description": "If `true`, the requesting user can edit this scan configuration."
          },
          "scanner_name": {
            "type": "string",
            "description": "The name of the scanner configured to run the scan."
          },
          "policy": {
            "type": "string",
            "description": "The name of the scan template associated with the scan."
          },
          "shared": {
            "type": "boolean",
            "description": "If `true`, the scan is shared with users other than the owner. The level of sharing is specified in the `acls` attribute of the scan details."
          },
          "object_id": {
            "type": "integer",
            "description": "The unique ID of the scan result object.",
            "format": "int32"
          },
          "tag_targets": {
            "type": "array",
            "description": "The list of asset tag identifiers the scan uses to determine which assets it evaluates. For more information about tag-based scans, see [Manage Tag-Based Scans](https://developer.tenable.com/docs/manage-tag-based-scans-tio).  For more information about asset tags, see [Manage Asset Tags](https://developer.tenable.com/docs/manage-asset-tags-tio).",
            "items": {
              "type": "string",
              "description": "The UUID for an asset tag value. For more information about asset tags, see [Manage Asset Tags](https://developer.tenable.com/docs/manage-asset-tags-tio)."
            }
          },
          "acls": {
            "type": "array",
            "description": "An array of objects that control sharing permissions for the scan.",
            "items": {
              "$ref": "#/components/schemas/scans_settings-acls"
            }
          },
          "hostcount": {
            "type": "integer",
            "description": "The total number of assets scanned for vulnerabilities.",
            "format": "int32"
          },
          "uuid": {
            "type": "string",
            "description": "The UUID of the scan."
          },
          "status": {
            "type": "string",
            "description": "The status of the scan. For a list of possible values, see [Scan Status](https://developer.tenable.com/docs/scan-status-tio)."
          },
          "scan_type": {
            "type": "string",
            "description": "The type of scan: `ps` (a scan performed over the network by a cloud scanner), `remote` (a  scan performed over the network by a local scanner), `agent` (a scan on a local host that a Nessus Agent performs directly), or `null` (the scan has never been launched, or the scan is imported)."
          },
          "targets": {
            "type": "string",
            "description": "A comma-delimited list of IPv4 addresses that are configured as targets for the scan."
          },
          "alt_targets_used": {
            "type": "boolean",
            "description": "If `true`, Tenable Vulnerability Management did not launch the scan with a target list. This parameter is `true` for agent scans."
          },
          "pci-can-upload": {
            "type": "boolean",
            "description": "If `true`, you can submit the results of the scan for PCI ASV review. For more information, see [PCI ASV](https://docs.tenable.com/vulnerability-management/Content/PCI_ASV/GetStarted.htm) in the Tenable Vulnerability Management User Guide."
          },
          "scan_start": {
            "type": "integer",
            "description": "The Unix timestamp when the scan run started.",
            "format": "int64"
          },
          "timestamp": {
            "type": "integer",
            "format": "int64",
            "description": "The Unix timestamp when the scan run finished."
          },
          "is_archived": {
            "type": "boolean",
            "description": "Indicates whether the scan results are older than 35 days (`true`). If this attribute is `true`, the response message for this endpoint excludes the `hosts`, `vulnerabilities`, `comphosts`, `compliance`, and `filters` objects. For complete scan results older than 35 days, use the [Export scan](https://developer.tenable.com/reference/scans-export-request) endpoint instead."
          },
          "scan_end": {
            "type": "integer",
            "format": "int64",
            "description": "The Unix timestamp when the scan run finished."
          },
          "haskb": {
            "type": "boolean",
            "description": "Indicates whether a scan has a Knowledge Base (KB) associated with it. A KB is an ASCII text file containing a log of information relevant to the scan performed and results found."
          },
          "hasaudittrail": {
            "type": "boolean",
            "description": "Indicates whether the scan is configured to create an audit trail."
          },
          "scanner_start": {
            "type": "string",
            "description": "The scan's start time, if the scan is imported."
          },
          "scanner_end": {
            "type": "string",
            "description": "The scan's end time, if the scan is imported."
          }
        }
      },
      "scans_host": {
        "type": "object",
        "properties": {
          "totalchecksconsidered": {
            "type": "integer",
            "description": "The total number of checks considered on the host."
          },
          "numchecksconsidered": {
            "type": "integer",
            "description": "The number of checks considered on the host."
          },
          "scanprogresstotal": {
            "type": "integer",
            "description": "The total scan progress for the host."
          },
          "scanprogresscurrent": {
            "type": "integer",
            "description": "The current scan progress for the host."
          },
          "host_index": {
            "type": "string",
            "description": "The index for the host."
          },
          "score": {
            "type": "integer",
            "description": "The overall score for the host."
          },
          "severitycount": {
            "type": "object",
            "properties": {}
          },
          "progress": {
            "type": "string",
            "description": "The scan progress of the host."
          },
          "critical": {
            "type": "integer",
            "description": "The percentage of critical findings on the host."
          },
          "high": {
            "type": "integer",
            "description": "The percentage of high findings on the host."
          },
          "medium": {
            "type": "integer",
            "description": "The percentage of medium findings on the host."
          },
          "low": {
            "type": "integer",
            "description": "The percentage of low findings on the host."
          },
          "info": {
            "type": "integer",
            "description": "The percentage of info findings on the host."
          },
          "host_id": {
            "type": "integer",
            "description": "The unique ID of the host."
          },
          "hostname": {
            "type": "string",
            "description": "The name of the host."
          }
        }
      },
      "scans_note": {
        "type": "object",
        "properties": {
          "title": {
            "type": "string",
            "description": "The title of the note."
          },
          "message": {
            "type": "string",
            "description": "The specific message of the note."
          },
          "severity": {
            "type": "integer",
            "description": "The severity of the note."
          }
        }
      },
      "scans_history-in-scan-details-response": {
        "type": "object",
        "properties": {
          "history_id": {
            "type": "integer",
            "description": "The unique ID of the historical data."
          },
          "owner_id": {
            "type": "integer",
            "description": "The unique ID of the owner of the scan."
          },
          "creation_date": {
            "type": "integer",
            "format": "int64",
            "description": "The creation date for the historical data in Unix time."
          },
          "last_modification_date": {
            "type": "integer",
            "format": "int64",
            "description": "The last modification date for the historical data in Unix time."
          },
          "uuid": {
            "type": "string",
            "description": "The UUID of the historical data."
          },
          "type": {
            "type": "string",
            "description": "The type of scan: `local` (a credentialed scan performed over the network), `remote` (an uncredentialed scan performed over the network, `agent` (a scan on a local host that a Nessus Agent performs directly), or `null` (the scan has never been launched, or the scan is imported)."
          },
          "status": {
            "type": "string",
            "description": "The terminal status of the scan run. For a list of possible values, see [Scan Status](https://developer.tenable.com/docs/scan-status-tio)."
          },
          "scheduler": {
            "type": "integer",
            "description": "If `true`, Tenable Vulnerability Management launched the scan automatically from a schedule."
          },
          "alt_targets_used": {
            "type": "boolean",
            "description": "If `true`, Tenable Vulnerability Management did not not launched with a target list. This parameter is `true` for agent scans."
          },
          "is_archived": {
            "type": "boolean",
            "description": "Indicates whether the scan results are older than 35 days (`true`). If this parameter is `true`, Tenable Vulnerability Management returns limited data for the scan run. For complete scan results that are older than 35 days, use the [Export scan](https://developer.tenable.com/reference/scans-export-request) endpoint instead."
          },
          "reporting_mode": {
            "type": "string",
            "description": "Indicates the reporting mode for Nessus Agent scans: <ul><li>baseline—A scan that always reports all detected findings regardless of severity level. For baseline scans, the Nessus Agent creates a local cache of the plugin outputs generated by the scan. The cache is then used as the base for differential comparisons in subsequent scans.</li><li>differential—A scan that produces smaller results by removing plugin outputs that have not changed since the last scan.</li><li>null—A normal Nessus Agent scan that does not support baseline or differential reporting modes.</li></ul>"
          }
        }
      },
      "scans_vulnerability": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "The number of vulnerabilities found."
          },
          "plugin_name": {
            "type": "string",
            "description": "The name of the vulnerability plugin."
          },
          "vuln_index": {
            "type": "integer",
            "description": "The index of the vulnerability plugin."
          },
          "severity": {
            "type": "integer",
            "description": "The severity rating of the plugin."
          },
          "plugin_id": {
            "type": "integer",
            "description": "The unique ID of the vulnerability plugin."
          },
          "severity_index": {
            "type": "integer",
            "description": "The severity index order of the plugin."
          },
          "plugin_family": {
            "type": "string",
            "description": "The parent family of the vulnerability plugin."
          }
        }
      },
      "scans_filter": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "The short name of the filter."
          },
          "readable_name": {
            "type": "string",
            "description": "The long name of the filter."
          },
          "operators": {
            "description": "The comparison options for the filter.",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "control": {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "description": "The input type (entry or dropdown)."
              },
              "readable_regest": {
                "type": "string",
                "description": "The placeholder for the input."
              },
              "regex": {
                "type": "string",
                "description": "A regex for checking the value of the input."
              },
              "options": {
                "description": "A list of options if the input is a dropdown.",
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "scans_settings-acls": {
        "type": "object",
        "properties": {
          "permissions": {
            "type": "integer",
            "description": "The scan permission. For more information, see [Permissions](https://developer.tenable.com/docs/permissions)."
          },
          "owner": {
            "type": "integer",
            "description": "A value that indicates whether the user or user group specified in the object owns the scan. Possible values include: `null` (system-owned permissions), `0` (the user is not the owner of the scan), `1` (the user is the owner of the scan)."
          },
          "display_name": {
            "type": "string",
            "description": "The name of the user or group granted the specified permissions, as it appears in the Tenable Vulnerability Management user interface."
          },
          "name": {
            "type": "string",
            "description": "The name of the user or group granted the specified permissions."
          },
          "id": {
            "type": "integer",
            "description": "A number representing the order in which the user or user groups display in the Permissions tab in the Tenable Vulnerability Management user interface."
          },
          "type": {
            "type": "string",
            "description": "The type of scan permissions: `default` (default permissions for the scan), `user` (permissions for an individual user), or `group` (permissions for a user group)."
          }
        }
      },
      "scans_ErrorResponse": {
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "The HTTP status code of the error."
          },
          "error": {
            "type": "string",
            "description": "The standard HTTP error name."
          },
          "message": {
            "type": "string",
            "description": "A brief message about the cause of the error."
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": false,
    "samples-languages": [
      "python",
      "curl",
      "node",
      "powershell",
      "ruby",
      "javascript",
      "objectivec",
      "java",
      "php",
      "csharp",
      "go",
      "swift",
      "kotlin"
    ]
  }
}
```